#include<fstream>
using namespace std;
int main()
{
	ifstream f1("FINDNUM.INP");
	ofstream f2("FINDNUM.OUT");
	int n,x;
	f1>>n>>x;
	f1.close();
	int i;
	int u=0;
	for(i=1;i<=n;i++)
	{
		if(x%i==0) 
		{
			if(x/i<=n) u++;
		}
	}
	f2<<u;
	f2.close();
	return 0;
}
